Skip to main content
GET
/
networks
/
offers
/
{offerId}
/
visibility
Get Offer Visibility
curl --request GET \
  --url https://api.eflow.team/v1/networks/offers/{offerId}/visibility \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_id": 123,
  "network_offer_id": 123,
  "network_affiliate_visible_ids": [
    123
  ],
  "network_affiliate_rejected_ids": [
    123
  ],
  "network_affiliate_hidden_ids": [
    123
  ]
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerId
integer
required

The offer ID.

Response

200 - application/json

OK

network_id
integer

Network ID.

network_offer_id
integer

Offer ID.

network_affiliate_visible_ids
integer[]

Affiliate IDs with visible access to the offer.

network_affiliate_rejected_ids
integer[]

Affiliate IDs with rejected access to the offer.

network_affiliate_hidden_ids
integer[]

Affiliate IDs with hidden access to the offer.